PATCH /api/v1/addons/seccl/{addon}/client/{account_uuid}

Path parameters

  • addon string Required
  • account_uuid string Required
application/json

Body

  • application_uuid string(uuid)

    The Seccl application

  • title string

    The client's title.

  • first_name string

    The client's first name.

  • surname string

    The client's surname.

  • flat_number string

    The client's flat number of their address.

  • building_name string

    The client's building name of their address.

  • building_number string

    The client's building number of their address.

  • address_1 string

    The client's address 1 of their address.

  • address_2 string

    The client's address 2 of their address.

  • country string

    The client's country of their address.

  • postcode string

    The client's post code of their address.

  • email string

    The client's email.

  • mobile string

    The client's mobile.

  • nationality string

    The client's nationality.

  • national_insurance_no string

    The client's national insurance number.

  • date_of_birth string(date)

    The client's date of birth.

  • tax_domicile string

    The client's tax domicile.

  • bank_details array

    The client's bank details.

  • marital_status string

    The client's marital status.

  • retirement_age integer

    The client's retirement age.

  • vulnerability array

    The client's vulnerability information.

  • requires_debit_mandate boolean

    Whether the client requires a debit mandate.

  • employment_status string

    The client's employment status.

  • employers array

    Array of the client's employers.

  • nationalities array

    The client's nationalities. Exactly one entry must contain an identifiers array, with exactly one identifier marked available. If available is true and name is not CONCAT, value is required. If name is CONCAT, value must be absent.

  • platform_terms_agreed boolean

    Boolean to denote whether the client accepts the platform terms and conditions.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • id string

      The unique identifier of the client

    • node_id string

      The node ID

    • client_type string

      The type of client

    • title string

      The title of the client

    • first_name string

      The first name of the client

    • surname string

      The surname of the client

    • address_detail object

      The address details of the client

      Hide address_detail attributes Show address_detail attributes object
      • flat_number string
      • building_name string
      • building_number string
      • address_1 string
      • address_2 string
      • country string
      • postcode string
    • email string

      The email address of the client

    • mobile object

      The primary mobile number of the client

      Hide mobile attributes Show mobile attributes object
      • number string
      • locale string
      • isMobile boolean
    • nationality string

      The primary nationality of the client

    • national_insurance_no string

      The national insurance number of the client

    • date_of_birth string

      The date of birth of the client

    • tax_domicile string

      The tax domicile of the client

    • terms_accepted boolean

      The terms accepted status of the client

    • status string

      The status of the client

    • bank_details object

      The bank details of the client

      Hide bank_details attributes Show bank_details attributes object
      • account_number string
      • sort_code string
      • accepted_debit_mandate boolean
      • accepted_debit_mandate_at string
    • vulnerability object

      The vulnerability details of the client

      Hide vulnerability attributes Show vulnerability attributes object
      • isVulnerable boolean
      • reason array[string]
      • isSupportTemporary boolean
    • aml_passed boolean

      Whether the client has passed AML checks

    • requires_debit_mandate boolean

      Does this client require a debit mandate

    • employment_status string

      The employment status of the client

    • employers array[object]

      The employers of the client

      Hide employers attributes Show employers attributes object
      • companyName string
      • companyRegNo string
      • addressDetail object
        Hide addressDetail attributes Show addressDetail attributes object
        • flat_number string | null
        • building_name string | null
        • building_number string
        • address_1 string
        • address_2 string
        • country string
        • postcode string
      • bankDetails object
        Hide bankDetails attributes Show bankDetails attributes object
        • sortCode string
        • accountNumber string
    • marital_status string

      The marital status of the client

    • retirement_age integer

      The retirement age of the client

    • can_open_accounts_for array[string]

      The wrapper types the client can open accounts for

    • plannr_account object

      The Plannr account associated with the client

      Hide plannr_account attributes Show plannr_account attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • firm string
      • primary_phone_number string
      • primary_email string
      • current_time_entry string
      • assigned_adviser string
      • assigned_administrator string
      • assigned_paraplanner string
      • introduced_by string
      • groups string
      • tags string
      • owners string
      • first_contact_date string
      • next_review_date string
      • previous_review_date string
      • anniversary_review_date string
      • with_login boolean
      • has_joint_account boolean
      • can_be_deleted string
      • joint_account_circle string
      • circles string
      • ownership_percentage integer
      • inactive_at string
      • last_interaction_at string
      • referral_code string
      • custom_fields string
      • external_references string
    • parent_id string

      The parent ID of the client

PATCH /api/v1/addons/seccl/{addon}/client/{account_uuid}
curl \
 --request PATCH 'https://api.plannrcrm.com/api/v1/addons/seccl/octopus_money/client/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"application_uuid":"9b763480-a885-48a6-a84a-fc639d5fa832","title":"Mr","first_name":"Gareth","surname":"Thompson","flat_number":"12","building_name":"Suite E","building_number":"12","address_1":"Waterberry Drive","address_2":"Waterlooville","country":"GB","postcode":"PO77YH","email":"gareth.thompson@plannrcrm.com","mobile":"07890000000","nationality":"GB","national_insurance_no":"AB123456C","date_of_birth":"1987-05-15","tax_domicile":"GB","marketing_consent":true,"bank_details":[{"sort_code":"123456","account_number":"12345678"}],"marital_status":"Single","retirement_age":67,"vulnerability":[{"reason":["Health","Resilience","Capability","Life event"],"is_vulnerable":false,"is_support_temporary":false,"is_vulnerable_set_date":"2024-01-01"}],"requires_debit_mandate":false,"employment_status":"Employed","employers":[{"bank_details":{"sort_code":"123456","account_number":"12345678","verification_status":"verified","debit_payment_mandate":true,"debit_payment_mandate_agreement_date":"2024-01-01"},"company_name":"Acme Corp","address_detail":{"country":"GB","address_1":"Waterberry Drive","address_2":"Waterlooville","post_code":"PO77YH","flat_number":"12","building_name":"Suite E","building_number":"12"},"company_reg_no":"12345678"}],"nationalities":[{"code":"RO"},{"code":"GB","identifiers":[{"name":"National Insurance Number","value":"AB000001D","available":true}]}],"platform_terms_agreed":true}'
Request examples
{
  "application_uuid": "9b763480-a885-48a6-a84a-fc639d5fa832",
  "title": "Mr",
  "first_name": "Gareth",
  "surname": "Thompson",
  "flat_number": "12",
  "building_name": "Suite E",
  "building_number": "12",
  "address_1": "Waterberry Drive",
  "address_2": "Waterlooville",
  "country": "GB",
  "postcode": "PO77YH",
  "email": "gareth.thompson@plannrcrm.com",
  "mobile": "07890000000",
  "nationality": "GB",
  "national_insurance_no": "AB123456C",
  "date_of_birth": "1987-05-15",
  "tax_domicile": "GB",
  "marketing_consent": true,
  "bank_details": [
    {
      "sort_code": "123456",
      "account_number": "12345678"
    }
  ],
  "marital_status": "Single",
  "retirement_age": 67,
  "vulnerability": [
    {
      "reason": [
        "Health",
        "Resilience",
        "Capability",
        "Life event"
      ],
      "is_vulnerable": false,
      "is_support_temporary": false,
      "is_vulnerable_set_date": "2024-01-01"
    }
  ],
  "requires_debit_mandate": false,
  "employment_status": "Employed",
  "employers": [
    {
      "bank_details": {
        "sort_code": "123456",
        "account_number": "12345678",
        "verification_status": "verified",
        "debit_payment_mandate": true,
        "debit_payment_mandate_agreement_date": "2024-01-01"
      },
      "company_name": "Acme Corp",
      "address_detail": {
        "country": "GB",
        "address_1": "Waterberry Drive",
        "address_2": "Waterlooville",
        "post_code": "PO77YH",
        "flat_number": "12",
        "building_name": "Suite E",
        "building_number": "12"
      },
      "company_reg_no": "12345678"
    }
  ],
  "nationalities": [
    {
      "code": "RO"
    },
    {
      "code": "GB",
      "identifiers": [
        {
          "name": "National Insurance Number",
          "value": "AB000001D",
          "available": true
        }
      ]
    }
  ],
  "platform_terms_agreed": true
}
Response examples (200)
{
  "id": "031DF6J",
  "email": "test@example.com",
  "title": "Ms",
  "mobile": {
    "locale": "en-GB",
    "number": "07777000000",
    "isMobile": true
  },
  "status": "Active",
  "node_id": "1",
  "surname": "Richardson",
  "employers": [
    {
      "bankDetails": {
        "sortCode": "12-34-56",
        "accountNumber": "12345678"
      },
      "companyName": "Acme Corp",
      "companyRegNo": "12345678",
      "addressDetail": {
        "country": "GB",
        "postcode": "BC1 2AB",
        "address_1": "123 Business Rd",
        "address_2": "Business City",
        "flat_number": null,
        "building_name": null,
        "building_number": "123"
      }
    }
  ],
  "parent_id": "031DF6J",
  "aml_passed": true,
  "first_name": "Isabella",
  "client_type": "Individual",
  "nationality": "GB",
  "bank_details": {
    "sort_code": "12-34-56",
    "account_number": "12345678",
    "accepted_debit_mandate": true,
    "accepted_debit_mandate_at": "2025-01-01T00:00:00.000Z"
  },
  "tax_domicile": "GB",
  "date_of_birth": "1980-01-01",
  "vulnerability": {
    "reason": [
      "Mental Health"
    ],
    "isVulnerable": true,
    "isSupportTemporary": true
  },
  "address_detail": {
    "country": "United Kingdom",
    "postcode": "SW1A 2AA",
    "address_1": "Downing Street",
    "address_2": "Westminster",
    "flat_number": "1",
    "building_name": "The White House",
    "building_number": "1"
  },
  "marital_status": "Single",
  "plannr_account": {
    "firm": "App\\Http\\Resources\\FirmResource",
    "name": "Gareth Thompson",
    "role": "client",
    "tags": "App\\Http\\Resources\\TagResource",
    "type": "client",
    "uuid": "8bb15766-12f2-4682-a46a-c7d8bd906f89",
    "email": "gareth@codepotato.co.uk",
    "groups": "App\\Http\\Resources\\GroupResource",
    "owners": "App\\Http\\Resources\\AccountResource",
    "circles": "App\\Http\\Resources\\CircleResource",
    "last_name": "Thompson",
    "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
    "created_at": "2026-03-20T13:25:17+00:00",
    "first_name": "Gareth",
    "updated_at": "2026-03-20T13:25:17+00:00",
    "with_login": true,
    "inactive_at": "2026-03-20",
    "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
    "introduced_by": "App\\Http\\Resources\\AccountResource",
    "primary_email": "App\\Http\\Resources\\ContactDetailResource",
    "referral_code": "ABC12345",
    "can_be_deleted": "false",
    "assigned_adviser": "App\\Http\\Resources\\AccountResource",
    "next_review_date": "2026-03-20T13:25:17+00:00",
    "has_joint_account": true,
    "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
    "first_contact_date": "2026-03-20T13:25:17+00:00",
    "external_references": "App\\Http\\Resources\\ExternalReferenceResource",
    "last_interaction_at": "2026-03-20 13:25:17",
    "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
    "joint_account_circle": "App\\Http\\Resources\\CircleResource",
    "ownership_percentage": 100,
    "previous_review_date": "2026-03-20T13:25:17+00:00",
    "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
    "assigned_administrator": "App\\Http\\Resources\\AccountResource",
    "anniversary_review_date": "2026-03-20T13:25:17+00:00"
  },
  "retirement_age": 65,
  "terms_accepted": true,
  "employment_status": "Employed",
  "can_open_accounts_for": [
    "JISA"
  ],
  "national_insurance_no": "AB123456C",
  "requires_debit_mandate": true
}